Bio::Tools::Run::PiseApplication::sigcleave(3)

NAME
Bio::Tools::Run::PiseApplication::sigcleave

SYNOPSIS
  #

DESCRIPTION
Bio::Tools::Run::PiseApplication::sigcleave

      Bioperl class for:

        SIGCLEAVE       Reports protein signal cleavage sites (EMBOSS)

      Parameters:

        (see also:
          http://bioweb.pasteur.fr/seqanal/interfaces/sigcleave.html
         for available values):

                sigcleave (String)

                init (String)

                sequence (Sequence)
                        sequence -- PureProtein [sequences] (-sequence)
                        pipe: seqsfile

                minweight (Float)
                        Minimum weight (-minweight)

                prokaryote (Switch)
                        Use prokaryotic cleavage data (-prokaryote)

                outfile (OutFile)
                        outfile (-outfile)

                auto (String)

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bioperl.org
  http://bioperl.org/bioperl-bugs/

AUTHOR
Catherine Letondal (letondal@pasteur.fr)

COPYRIGHT
Copyright (C) 2003 Institut Pasteur & Catherine Letondal. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

DISCLAIMER
This software is provided "as is" without warranty of any kind.

SEE ALSO

•   http://bioweb.pasteur.fr/seqanal/interfaces/sigcleave.html

•   Bio::Tools::Run::PiseApplication

•   Bio::Tools::Run::AnalysisFactory::Pise

•   Bio::Tools::Run::PiseJob

  new
 Title   : new()
 Usage   : my $sigcleave = Bio::Tools::Run::PiseApplication::sigcleave->new($location, $email, @params);
 Function: Creates a Bio::Tools::Run::PiseApplication::sigcleave object.
           This method should not be used directly, but rather by
           a Bio::Tools::Run::AnalysisFactory::Pise instance.
           my $factory = Bio::Tools::Run::AnalysisFactory::Pise->new();
           my $sigcleave = $factory->program('sigcleave');
 Example : -
 Returns : An instance of Bio::Tools::Run::PiseApplication::sigcleave.